[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'Masks' (#lcl)

# TMaskList

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

The TMaskList class represents a list of masks.

## Declaration

Source position: masks.pas line 70

`type TMaskList = class`
`public`
`constructor Create();` |  | Creates new list of masks from passed value, each item is seperated by separator.
`destructor Destroy; override;` |  |
`function Matches();` |  | If the file name matches at least one of mask list items.
`property Count: Integer; [r]` |  | The count of mask list items.
`property Items: TMask; [r]` |  | The items of mask list.
`end;`

## Inheritance

`TMaskList` |  | The TMaskList class represents a list of masks.
`TObject`

The latest version of this document can be found at lazarus-ccr.sourceforge.net.